define([
    'underscore',
    'uiRegistry',
    'Magento_Ui/js/form/element/select'
], function (_, uiRegistry, select) {
    'use strict';

    return select.extend({

        /**
         * On value change handler.
         *
         * @param {String} value
         */
        onUpdate: function (value) {
            console.log('Selected Value: ' + value);

            var layoutSelect = uiRegistry.get('index = refilo_layout_container');
            console.log(layoutSelect);

            return this._super();
        },

        onInit: function (value) {
            console.log(value);

            return this._super();
        }
    });
});
